<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Live Username Availability Check with xhr (Client Side ) and PHP (Server Side)</title>
	<meta name="description" content="">
	<!-- Latest compiled and minified CSS -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
</head>
<body>
	<div class="container">
		<div class="row">
			<div class="col-sm-12">
				<h2>Live Username Availability Check with xhr (Client Side ) and PHP (Server Side) </h2>
			</div>
		</div>
		<div class="row">
			<div class="col-sm-6">
					<div class="form-group">
					<input type="text" name="username" id="username" value="" class="form-control" onchange="checkUsername(this.value)" />
					<span id="myuname"> </span>
					</div>
			</div>
			<div class="col-sm-6">
			</div>
		</div> <!-- row div close -->
	</div> <!-- container div close -->

	<script>
		////////////////////////////////////  EOF Example 3 DropDown  //////////////////////////////////////////////
		function checkUsername(uname){

		// Let us create a new XMLHttpRequest object
		 xhr = new XMLHttpRequest();

		//xhr.open('GET', 'username.php?u='+uname, true);
		xhr.open('GET', 'username.php?u='+uname, true);

		// Send request 
		xhr.send();

		// Callback function is executed after the response from server is over
		xhr.onload = function() {
			// Check if HTTP response status is 200 and browser has got response from server
			if (xhr.status != 200 && xhr.readyState == 4 ) 
			{ 
				// If POST URL is not found then 404: Not Found error
				console.log(`Error ${xhr.status}: ${xhr.statusText}`); 
			} else 
			{ 
				// Display server response 
				console.log(`Completed, got ${xhr.response.length} bytes`); 
				document.getElementById("myuname").innerHTML = this.responseText;
			}
		};

		// event e
		xhr.onprogress = function(e) {
			if (e.lengthComputable) {
				console.log(`Got ${e.loaded} of ${e.total} bytes`);
			} else {
				// If no Content-Length 
				console.log(`Got ${e.loaded} bytes`); 
			}

		};

		xhr.onerror = function() 
		{
			alert("Request failed");
		};
	}
	</script>
</body>

</html>